Bug 439460 - hal claims the eee battery is broken
hal claims the eee battery is broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 14:45 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:12:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-03-28 14:45:14 EDT
The eee uses some 'creative' way of reporting battery life.
The capacity field is supposed to be measured as mAh, but the eee exports a
percentage there instead of an absolute.   The result of this is that a full
battery reports a design capacity of 5200 mAh, and a remaining capacity of 100mAh

This causes hal to freak out claiming that the battery is broken.
Comment 1 Dave Jones 2008-03-28 14:45:31 EDT
# cat /proc/acpi/battery/BAT0/*
alarm:                   unsupported
present:                 yes
design capacity:         5200 mAh
last full capacity:      100 mAh
battery technology:      rechargeable
design voltage:          8400 mV
design capacity warning: 10 mAh
design capacity low:     5 mAh
capacity granularity 1:  52 mAh
capacity granularity 2:  52 mAh
model number:            701
serial number:            
battery type:            LION
OEM info:                ASUS
present:                 yes
capacity state:          ok
charging state:          charged
present rate:            unknown
remaining capacity:      100 mAh
present voltage:         8335 mV
Comment 2 Bill Nottingham 2008-03-28 15:15:02 EDT
Can't you beat the BIOS writers about the head? If it's a percent, it shouldn't
have units of mAh.
Comment 3 Richard Hughes 2008-03-28 17:55:37 EDT
Is this the sort of thing we should fix with hal-info - or can we get the EEE
guys to fix their bios?
Comment 4 Dave Jones 2008-03-28 18:51:17 EDT
even if we got them to fix the bios, a majority of new users won't be running
the latest one.   It's a pretty crap user experience to see this on the first
time they boot up.
Comment 5 Valent Turkovic 2008-04-09 17:17:33 EDT
I have also experienced on lots of laptops (and send mails to mailing list) that
hal reports bad batteries even when I know they are good.
I know that that is not fault of hal but of bios and laptop manufacturers but I
also know that it is not likely it will get fixed because it somehow works ok in
windows?!?

Could there be patches in hal so that these faulty bios or bateries show good
percentages under linux?
Comment 6 Bug Zapper 2008-05-14 04:23:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Richard Hughes 2008-05-30 07:40:41 EDT
Can we blacklist the battery based on it's model number? or even fix the data in
HAL?
Comment 8 John Webster 2009-04-01 19:31:16 EDT
While the problem seemed to have been fixed in Fedora 10, it has surfaced again in Fedora 11 Beta. At the end of the startup process based on a Live USB, my eeePC 4G reports that "your battery has a very low capacity (1321528400%) which means that it may be old or broken". The effect is the same whether or not the computer is running on mains power.

After dismissing the message, everything works just fine (which emphasises what a good overall job the development team has done), and the battery capacity appears to be accurately represented in the menu bar. No comparable glitch arises with the Live USB for Ubuntu 9.04 Beta.
Comment 9 Richard Hughes 2009-04-06 06:22:47 EDT
2009-03-16  Richard Hughes  <richard@hughsie.com>

	* src/gpm-engine.c: (gpm_engine_device_check_capacity):
	Fix the low capacity warning to fix rh#489832
Comment 10 Graeme Hilton 2009-06-09 18:27:28 EDT
Updating release to 11 as the problem is still present.

Also, I've experienced automatic shutdowns when my battery is low on charge, but charging.  For instance, it's turned itself off and then I've plugged in the AC adaptor and booted, only for the system to go shutdown again pretty swiftly with the low battery warning.

Is this something detecting the low battery and triggering a shutdown but not checking that AC power is available?

Is this the mis-reporting of capacity impacting the shutdown triggering mechanism?

I'm willing to test packages on my Eee PC701 4G, currently on F11 release (and updated).
Comment 11 Bug Zapper 2009-06-09 19:54:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Andrew Gormanly 2009-08-05 17:37:45 EDT
Confirmed on fully-patched F11 on Eee PC 701 4G, worked fine under F10 but now a pop-up reports on login that the battery has a very low capacity 1%.  Something regressed between latest F10 and F11 patch sets.
Comment 13 Scott Glaser 2009-09-09 07:53:38 EDT
Have you tried with the latest hal package in Fedora 11 or tried Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 J Gallagher 2009-11-06 14:59:59 EST
Confirmed on Fedora 12 Beta. 

Gnome-power-manager says battery is broken.

Looks like the same as the original issue, not converting % to mah.
Comment 15 Rob Smith 2009-12-22 03:52:23 EST
I can confirm this bug existing in the latest Fedora 12 image. I just installed FC12 to my Asus Eee PC 900 (16GB) from the Live CD image (installed via USB drive) that I downloaded two days ago. When I boot and log in, I get an error message saying that my battery may be broken. This occurs both with my original battery installed and also with a non-OEM 10,400mAh battery that I recently purchased. My BIOS revision is 1006, which I believe is the latest currently available for this machine. I have installed the latest patches to FC12.
Comment 16 Kirill Morozov 2010-01-12 11:35:27 EST
EeePC 900
I can confirm it too.
This occurs both with my original battery installed and also with a non-OEM 10,400mAh battery.
Comment 17 Bug Zapper 2010-04-27 07:58:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Graeme Hilton 2010-04-27 08:28:46 EDT
Changed version to F12 as reported in comment 15.
Comment 19 Bug Zapper 2010-11-04 07:59:03 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Sitsofe Wheeler 2010-11-05 13:29:38 EDT
This should be fixed from the 2.6.37-rc1 onwards (see https://bugzilla.kernel.org/show_bug.cgi?id=15979 and http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=557d58687dcdee6bc00c1a8f1fd4e0eac8fefce9 ). I don't believe this kernel is in a released version of Fedora at the time of writing though.
Comment 21 Bug Zapper 2010-12-05 02:12:32 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.